
<?php $__env->startSection('content_section'); ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <!-- Default box -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Style</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                <i class="fas fa-minus"></i>
                            </button>
                            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                <i class="fas fa-times"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Title</th>
                                    <th>icon</th>
                                    <th>Image</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if($styles->count() > 0): ?>
                                    <?php $__currentLoopData = $styles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$style): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e(++$key); ?></td>
                                            <td><?php echo e($style->title); ?></td>
                                            <td> <img src="<?php echo e($style->icon); ?>" width="100" height="100"/> </td>
                                            <td> <img src="<?php echo e($style->image); ?>"  width="100" height="100"/> </td>
                                            <td>
                                                <a title="View Style Detail"  href="<?php echo e(route('styles.show',$style->id)); ?>"><i class="fa fa-eye text-primary"></i></a>
                                                &nbsp;&nbsp;
                                                <a title="Update Style Detail" href="<?php echo e(route('styles.edit',$style->id)); ?>"><i class="fas fa-edit text-primary"></i></a>
                                                &nbsp;&nbsp;
                                                <a title="Delete Style" type="button" onclick="commonFunction(true,'<?php echo e(route('styles.destroy',$style->id)); ?>','<?php echo e(route('styles.index')); ?>','delete','Are you sure to delete style?','')"><i class="fas fa-trash text-danger"></i></a></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                                
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card-body -->

                <!-- /.card-footer-->
            </div>
            <!-- /.card -->
        </div>
    </div>
<?php $__env->stopSection(); ?>
<script>

</script>
<?php echo $__env->make('layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\doramu\resources\views/admin/styles/index.blade.php ENDPATH**/ ?>