@extends('layout.app')
@section('content_section')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <!-- Default box -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Translators</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                <i class="fas fa-minus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body table-responsive">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    @foreach(table_headers() as $header)
                                        <th>{{ $header }}</th>
                                    @endforeach
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>

                                @if($translators->count() > 0)
                                    @foreach($translators as $key=>$translator)
                                        <tr>
                                            <td>{{$key}}</td>
                                            @foreach($translator as $k=>$trans)
                                                <td>{{$trans->value}}</td>
                                            @endforeach
                                            <td><a href="{{route('translators.edit',$key)}}">Update</a></td>
                                        <tr>
                                    @endforeach
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card-body -->

                <!-- /.card-footer-->
            </div>
            <!-- /.card -->
        </div>
    </div>
@endsection
<script>

</script>