@extends('layout.app')
@section('content_section')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <!-- Default box -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Orientation</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                <i class="fas fa-minus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Orientation</th>
                                    <th>icon</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if($orientations->count() > 0)
                                    @foreach($orientations as $key=>$orientation)
                                        <tr>
                                            <td>{{++$key}}</td>
                                            <td>{{$orientation->orientation}}</td>
                                            <td> <img src="{{$orientation->icon}}" width="20" height="20"/> </td>
                                            <td>
                                                &nbsp;&nbsp;
                                                <a title="Update Style Detail" href="{{route('orientations.edit',$orientation->id)}}"><i class="fas fa-edit text-primary"></i></a>
                                                &nbsp;&nbsp;
                                                <a title="Delete Style" type="button" onclick="commonFunction(true,'{{ route('orientations.destroy',$orientation->id) }}','{{route('orientations.index')}}','delete','Are you sure to delete orientation?','')"><i class="fas fa-trash text-danger"></i></a></td>
                                        </tr>
                                    @endforeach
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card-body -->

                <!-- /.card-footer-->
            </div>
            <!-- /.card -->
        </div>
    </div>
@endsection
<script>

</script>