
    <style>
        .f-14 {
            font-size: 14px !important;
        }

        .closeicon {
            position: absolute;
            position: absolute;
            right: 0;

        }
    </style>

    <?php $__env->startSection('content_section'); ?>
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <!-- Default box -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Size Update</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                    <i class="fas fa-minus"></i>
                                </button>
                                <!-- <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                    <i class="fas fa-times"></i>
                                </button> -->
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="add-form" enctype="multipart/form-data">
                                <?php echo method_field('put'); ?>

                                <div class="form-group col-12">
                                    <label for="">Orientation</label>
                                    <select name="orientation_id" class="form-control">
                                        <option value="" disabled selected>Orientations</option>
                                        <?php if($orientations->count() > 0): ?>
                                            <?php $__currentLoopData = $orientations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $orientation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option <?php if($orientation->id==$size->orientation_id): ?> selected <?php endif; ?> value="<?php echo e($orientation->id); ?>"><?php echo e($orientation->orientation); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                </div>

                                <div class="form-group col-12">
                                    <label for="">Title</label>
                                    <input type="hidden" id="size_width" name="width" value="<?php echo e($size->width); ?>"/>
                                    <input type="hidden" id="size_height" name="height" value="<?php echo e($size->height); ?>"/>
                                    <input type="hidden" id="size_mobile_width" name="mobile_width" value="<?php echo e($size->mobile_width); ?>"/>
                                    <input type="hidden" id="size_mobile_height" name="mobile_height" value="<?php echo e($size->mobile_height); ?>"/>
                                    <select name="title" class="form-control" onchange="getWidthAndHeight(this)">
                                        <option disabled selected>Select Size</option>
                                        <?php $__currentLoopData = getSizes(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <optgroup label="<?php echo e(ucfirst($key)); ?>">
                                                <?php $__currentLoopData = $value; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option <?php if($size->title==$item["size"]): ?> selected <?php endif; ?> data-width='<?php echo e($item["width"]); ?>' data-height='<?php echo e($item["height"]); ?>' value='<?php echo e($item["size"]); ?>' data-mobile-width='<?php echo e($item["mobile_width"]); ?>' data-mobile-height='<?php echo e($item["mobile_height"]); ?>' ><?php echo e($item["size"]); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </optgroup>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="form-group pt-1 col-12">
                                    <label for="">icon</label>
                                    <input placeholder="Enter Icon" type="file" name="icon" class="form-control">
                                    <img src="<?php echo e($size->icon); ?>" class="mt-1" width="20" height="20" />
                                </div>

                                <div class="form-group pt-1 col-12">
                                    <label for="">Image</label>
                                    <input type="file" name="image" class="form-control">
                                    <img src="<?php echo e($size->image); ?>" class="mt-2" width="100" height="100" />
                                </div>

                                <div class="text-right mt-3 col-12">
                                    <button type="button" class="btn btn-primary px-5" onclick="commonFunction(false,'<?php echo e(route('sizes.update',$size->id)); ?>','<?php echo e(route('sizes.index')); ?>','post','','add-form');">Update</button>
                                </div>
                            </form>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>   

        <div id="horizontal" class="d-none">
            <div class="row mx-0 mb-3">
                <input type="hidden" value="0" name="horizontal_ids[]" />
                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="horizontal_sizes[]" class="form-control">
                        <option value="" disabled selected>Horizontal Sizes</option>
                        <option value="15X21cm">15X21cm</option>
                        <option value="21X30cm">21X30cm</option>
                        <option value="30X42cm">30X42cm</option>
                        <option value="42X60cm">42X60cm</option>
                        <option value="61X91cm">61X91cm</option>
                        <option value="91X130cm">91X130cm</option>
                    </select>
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="number" class="form-control" name="horizontal_prices[]" placeholder="Enter price">
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="file" class="form-control" name="horizontal_images[]">
                </div>
                <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
            </div>
        </div>

        <div id="vertical" class="d-none">
            <div class="row mx-0 mb-3">
                <input type="hidden" value="0" name="vertical_ids[]" />
                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="vertical_sizes[]" class="form-control">
                        <option disabled selected>Vertical Sizes</option>
                        <option value="15X21cm">15X21cm</option>
                        <option value="21X30cm">21X30cm</option>
                        <option value="30X42cm">30X42cm</option>
                        <option value="42X60cm">42X60cm</option>
                        <option value="61X91cm">61X91cm</option>
                        <option value="91X130cm">91X130cm</option>
                    </select>
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="number" class="form-control" name="vertical_prices[]" placeholder="Enter price">
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="file" class="form-control" name="vertical_images[]">
                </div>
                <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
            </div>
        </div>

    <?php $__env->stopSection(); ?>

    <script>

        const changeOrientation = (e) => {

            for (let items of document.querySelectorAll('.NoneDiv')) {
                items.classList.remove('d-none')
            }
        }

        const moreSizes = (orientation, targetElement) => {
            $("#" + targetElement).append($("#" + orientation).html())
        }
        const closeFun = (e) => {
            e.parentNode.remove();
        }
    </script>
<?php echo $__env->make('layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ewdtech/public_html/doramu/resources/views/admin/sizes/edit.blade.php ENDPATH**/ ?>