@extends('layout.app')
    <style>
        .f-14 {
            font-size: 14px !important;
        }

        .closeicon {
            position: absolute;
            position: absolute;
            right: 0;

        }
    </style>

    @section('content_section')
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <!-- Default box -->
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Style Update</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                    <i class="fas fa-minus"></i>
                                </button>
                                <!-- <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                    <i class="fas fa-times"></i>
                                </button> -->
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="add-form" enctype="multipart/form-data">
                                @method('put')
                                <div class="form-group col-12">
                                    <label for="">Title</label>
                                    <input placeholder="Enter Title" type="text" value="{{$style->title}}" name="title" class="form-control">
                                </div>

                                <div class="form-group pt-1 col-12">
                                    <label for="">icon</label>
                                    <input placeholder="Enter Icon" type="file" name="icon" class="form-control">
                                    <img src="{{$style->icon}}" width="100" height="100" />
                                </div>

                                <div class="row mx-0">
                                    <div class="col-lg-6">
                                        <div class="form-group pt-1">
                                            <label for="">Art Paper with White Border Image</label>
                                            <input placeholder="Enter Image" type="file" name="image" class="form-control">
                                            <img src="{{$style->image}}" width="100" height="100" />
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group pt-1">
                                            <label for="">Select Photo For Left Frame</label>
                                            <input placeholder="Enter Image" type="file" name="left_frame" class="form-control">
                                            <img src="{{$style->left_frame}}" width="100" height="100" />
                                        </div>
                                    </div>
                                </div>
                                <div class="pt-1">
                                    <div class="row mx-0 mb-3">
                                        <div class="col-lg-10">
                                            <div class="row mx-0">
                                                <div class="col-lg-3 ">
                                                    <div class="d-flex align-items-center">
                                                        <input type="checkbox" name="vertical_check" @if($verticals->count() > 0) checked @endif value="vertical"> &nbsp;&nbsp; <label for="" class="mb-0">
                                                            (Orientation) Vertical</label>
                                                    </div>
                                                </div>
                                                <div class="col-lg-9" id="verticalRow">
                                                    @if($verticals->count() >0)

                                                        @foreach($verticals as $key=>$vertical)
                                                            
                                                            @if($loop->first)
                                                                <div class="row mx-0 mb-3">
                                                        
                                                                    <input type="hidden" value="{{$vertical->id}}" name="old_ids[]" />
                                                                    <input type="hidden" value="{{$vertical->id}}" name="vertical_ids[]" />
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <select name="vertical_sizes[]" class="form-control">
                                                                            <option value="" disabled selected>Vertical Sizes</option>
                                                                            <option @if($vertical->size=="15X21cm") selected @endif value="15X21cm">15X21cm</option>
                                                                            <option @if($vertical->size=="21X30cm") selected @endif value="21X30cm">21X30cm</option>
                                                                            <option @if($vertical->size=="30X42cm") selected @endif value="30X42cm">30X42cm</option>
                                                                            <option @if($vertical->size=="42X60cm") selected @endif value="42X60cm">42X60cm</option>
                                                                            <option @if($vertical->size=="61X91cm") selected @endif value="61X91cm">61X91cm</option>
                                                                            <option @if($vertical->size=="91X130cm") selected @endif value="91X130cm">91X130cm</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="number" class="form-control" value={{ $vertical->price }} name="vertical_prices[]" placeholder="Enter price">
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="file" class="form-control" name="vertical_images[]">
                                                                        <img src="{{ $vertical->image }}" class="mt-1" width="100" height="100" />
                                                                    </div>
                                                                    <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
                                                                </div>
                                                            @else

                                                                <div class="row mx-0 mb-3">
                                                                    <input type="hidden" value="{{$vertical->id}}" name="old_ids[]" />
                                                                    <input type="hidden" value="{{$vertical->id}}" name="vertical_ids[]" />
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <select name="vertical_sizes[]" class="form-control">
                                                                            <option disabled selected>Vertical Sizes</option>
                                                                            <option @if($vertical->size=="15X21cm") selected @endif value="15X21cm">15X21cm</option>
                                                                            <option @if($vertical->size=="21X30cm") selected @endif value="21X30cm">21X30cm</option>
                                                                            <option @if($vertical->size=="30X42cm") selected @endif value="30X42cm">30X42cm</option>
                                                                            <option @if($vertical->size=="42X60cm") selected @endif value="42X60cm">42X60cm</option>
                                                                            <option @if($vertical->size=="61X91cm") selected @endif value="61X91cm">61X91cm</option>
                                                                            <option @if($vertical->size=="91X130cm") selected @endif value="91X130cm">91X130cm</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="number" class="form-control" value={{ $vertical->price }} name="vertical_prices[]" placeholder="Enter price">
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="file" class="form-control" name="vertical_images[]">
                                                                        <img src="{{ $vertical->image }}" class="mt-1" width="100" height="100" />
                                                                    </div>
                                                                    <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
                                                                </div>

                                                            @endif

                                                        @endforeach
                                                    @else

                                                        <div class="row mx-0 mb-3">
                                                            <input type="hidden" value="0" name="horizontal_ids[]" />
                                                            <div class="col-lg-4 d-none1 NoneDiv">
                                                                <select name="vertical_sizes[]" class="form-control">
                                                                    <option value="" disabled selected>Vertical Sizes</option>
                                                                    <option value="15X21cm">15X21cm</option>
                                                                    <option value="21X30cm">21X30cm</option>
                                                                    <option value="30X42cm">30X42cm</option>
                                                                    <option value="42X60cm">42X60cm</option>
                                                                    <option value="61X91cm">61X91cm</option>
                                                                    <option value="91X130cm">91X130cm</option>
                                                                    
                                                                </select>
                                                            </div>
                                                            <div class="col-lg-4 d-none1 NoneDiv">
                                                                <input type="number" class="form-control" name="vertical_prices[]" placeholder="Enter price">
                                                            </div>
                                                            <div class="col-lg-4 d-none1 NoneDiv">
                                                                <input type="file" class="form-control" name="vertical_images[]">
                                                            </div>
                                                        </div>

                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 d-none1 NoneDiv">
                                            <button type="button" class="btn w-100 btn-danger f-14 text-white"
                                                onclick="moreSizes('vertical','verticalRow')">Add
                                                More Sizes +</button>
                                        </div>
                                    </div>
                                    <div class="row mx-0 mb-3">
                                        <div class="col-lg-10">
                                            <div class="row mx-0">
                                                <div class="col-lg-3">
                                                    <div class="d-flex align-items-center">
                                                        <input type="checkbox" @if($horizontals->count() > 0) checked @endif name="horizontal_check" value="horizontal">&nbsp;&nbsp; <label for="" class="mb-0">
                                                            (Orientation) Horizontal</label>
                                                    </div>
                                                </div>
                                                <div class="col-lg-9" id="horizontolRow">
                                                    @if($horizontals->count() >0)

                                                        @foreach($horizontals as $key=>$horizontal)
                                                            
                                                            @if($loop->first)
                                                                <div class="row mx-0 mb-3">
                                                                    <input type="hidden" value="{{$horizontal->id}}" name="old_ids[]" />
                                                                    <input type="hidden" value="{{$horizontal->id}}" name="horizontal_ids[]" />
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <select name="horizontal_sizes[]" class="form-control">
                                                                            <option value="" disabled selected>Vertical Sizes</option>
                                                                            <option @if($horizontal->size=="15X21cm") selected @endif value="15X21cm">15X21cm</option>
                                                                            <option @if($horizontal->size=="21X30cm") selected @endif value="21X30cm">21X30cm</option>
                                                                            <option @if($horizontal->size=="30X42cm") selected @endif value="30X42cm">30X42cm</option>
                                                                            <option @if($horizontal->size=="42X60cm") selected @endif value="42X60cm">42X60cm</option>
                                                                            <option @if($horizontal->size=="61X91cm") selected @endif value="61X91cm">61X91cm</option>
                                                                            <option @if($horizontal->size=="91X130cm") selected @endif value="91X130cm">91X130cm</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="number" class="form-control" value={{ $horizontal->price }} name="horizontal_prices[]" placeholder="Enter price">
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="file" class="form-control" name="horizontal_images[]">
                                                                        <img src="{{ $horizontal->image }}" class="mt-1" width="100" height="100" />
                                                                    </div>
                                                                    <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
                                                                </div>
                                                            @else

                                                                <div class="row mx-0 mb-3">
                                                                    <input type="hidden" value="{{$horizontal->id}}" name="old_ids[]" />
                                                                    <input type="hidden" value="{{$horizontal->id}}" name="horizontal_ids[]" />
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <select name="horizontal_sizes[]" class="form-control">
                                                                            <option disabled selected>Vertical Sizes</option>
                                                                            <option @if($horizontal->size=="15X21cm") selected @endif value="15X21cm">15X21cm</option>
                                                                            <option @if($horizontal->size=="21X30cm") selected @endif value="21X30cm">21X30cm</option>
                                                                            <option @if($horizontal->size=="30X42cm") selected @endif value="30X42cm">30X42cm</option>
                                                                            <option @if($horizontal->size=="42X60cm") selected @endif value="42X60cm">42X60cm</option>
                                                                            <option @if($horizontal->size=="61X91cm") selected @endif value="61X91cm">61X91cm</option>
                                                                            <option @if($horizontal->size=="91X130cm") selected @endif value="91X130cm">91X130cm</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="number" class="form-control" value={{ $horizontal->price }} name="horizontal_prices[]" placeholder="Enter price">
                                                                    </div>
                                                                    <div class="col-lg-4 d-none1 NoneDiv">
                                                                        <input type="file" class="form-control" name="horizontal_images[]">
                                                                        <img src="{{ $vertical->image }}" class="mt-1" width="100" height="100" />
                                                                    </div>
                                                                    <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
                                                                </div>

                                                            @endif

                                                        @endforeach
                                                    @else

                                                        <div class="row mx-0 mb-3">
                                                            <input type="hidden" value="0" name="horizontal_ids[]" />
                                                            <div class="col-lg-4 d-none1 NoneDiv">
                                                                <select name="horizontal_sizes[]" class="form-control">
                                                                    <option value="" disabled selected>Vertical Sizes</option>
                                                                    <option value="15X21cm">15X21cm</option>
                                                                    <option value="21X30cm">21X30cm</option>
                                                                    <option value="30X42cm">30X42cm</option>
                                                                    <option value="42X60cm">42X60cm</option>
                                                                    <option value="61X91cm">61X91cm</option>
                                                                    <option value="91X130cm">91X130cm</option>
                                                                </select>
                                                            </div>
                                                            <div class="col-lg-4 d-none1 NoneDiv">
                                                                <input type="number" class="form-control" name="horizontal_prices[]" placeholder="Enter price">
                                                            </div>
                                                            <div class="col-lg-4 d-none1 NoneDiv">
                                                                <input type="file" class="form-control" name="horizontal_images[]">
                                                            </div>
                                                        </div>
                                                        
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 d-none1 NoneDiv">
                                            <button type="button" class="btn w-100 btn-danger f-14 text-white"
                                                onclick="moreSizes('horizontal','horizontolRow')">Add
                                                More Sizes +</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-right mt-3 col-12">
                                    <button type="button" class="btn btn-primary px-5" onclick="commonFunction(false,'{{ route('styles.update',$style->id) }}','{{route('styles.index')}}','post','','add-form');">Update</button>
                                </div>
                            </form>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
                    </div>
                    <!-- /.card-body -->

                    <!-- /.card-footer-->
                </div>
                <!-- /.card -->
            </div>
        </div>   

        <div id="horizontal" class="d-none">
            <div class="row mx-0 mb-3">
                <input type="hidden" value="0" name="horizontal_ids[]" />
                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="horizontal_sizes[]" class="form-control">
                        <option value="" disabled selected>Horizontal Sizes</option>
                        <option value="15X21cm">15X21cm</option>
                        <option value="21X30cm">21X30cm</option>
                        <option value="30X42cm">30X42cm</option>
                        <option value="42X60cm">42X60cm</option>
                        <option value="61X91cm">61X91cm</option>
                        <option value="91X130cm">91X130cm</option>
                    </select>
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="number" class="form-control" name="horizontal_prices[]" placeholder="Enter price">
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="file" class="form-control" name="horizontal_images[]">
                </div>
                <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
            </div>
        </div>

        <div id="vertical" class="d-none">
            <div class="row mx-0 mb-3">
                <input type="hidden" value="0" name="vertical_ids[]" />
                <div class="col-lg-4 d-none1 NoneDiv">
                    <select name="vertical_sizes[]" class="form-control">
                        <option disabled selected>Vertical Sizes</option>
                        <option value="15X21cm">15X21cm</option>
                        <option value="21X30cm">21X30cm</option>
                        <option value="30X42cm">30X42cm</option>
                        <option value="42X60cm">42X60cm</option>
                        <option value="61X91cm">61X91cm</option>
                        <option value="91X130cm">91X130cm</option>
                    </select>
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="number" class="form-control" name="vertical_prices[]" placeholder="Enter price">
                </div>
                <div class="col-lg-4 d-none1 NoneDiv">
                    <input type="file" class="form-control" name="vertical_images[]">
                </div>
                <div class="closeicon" onclick="closeFun(this)"><i class="fas fa-times text-danger"></i></div>
            </div>
        </div>

    @endsection

    <script>

        const changeOrientation = (e) => {

            for (let items of document.querySelectorAll('.NoneDiv')) {
                items.classList.remove('d-none')
            }
        }

        const moreSizes = (orientation, targetElement) => {
            $("#" + targetElement).append($("#" + orientation).html())
        }
        const closeFun = (e) => {
            e.parentNode.remove();
        }
    </script>